Stream Usage
curl --request GET \
--url https://streaming.lingopal.ai/v1/streams/usage \
--header 'X-API-Key: <api-key>'import requests
url = "https://streaming.lingopal.ai/v1/streams/usage"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://streaming.lingopal.ai/v1/streams/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Streams
Stream Usage
This api is used for listing the usage details of streams which a user ran.
GET
/
v1
/
streams
/
usage
Stream Usage
Description
This endpoint lists usage details for streams you have run. Use this to review analytics or track resource consumption for your streams. See the Quickstart guide for usage context.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: GET
- Endpoint:
/v1/streams/usage
Response
- Status: 200 OK
- Content-Type:
application/json
"string"
Example Usage (cURL)
curl -X GET "https://streaming.lingopal-dev.com/v1/streams/usage" \
-H "x-api-key: YOUR_API_KEY"
Authorizations
Response
200 - application/json
Successful Response
The response is of type string.